Subject: Re: Bug: `git maintenance start` is likely broken in 2.47

From: Patrick Steinhardt <[email-masked]>
Date: Tue, 8 Oct 2024 13:45:23 +0200

On Tue, Oct 08, 2024 at 04:20:19PM +0530, Shubham Kanodia wrote:
> In the most recent release of git (2.47.0), running `git maintenance
> start` results in a segmentation fault error both on mac & ubuntu.
> 
> `b6c3f8e12c` seems to be the first bad commit.

This is embarassingly easy to reproduce. None of our tests catch the
issue because we are forced to stub out the commands that run, and the
error only happens when _not_ stubbing it out. I'll send a patch later
today to address the issue and will also think about a way to test this.

Patrick